Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.conn
Interface ManagedClientAsyncConnection

All Superinterfaces:
  Closeable, org.apache.http.conn.ConnectionReleaseTrigger, org.apache.http.HttpConnection, org.apache.http.HttpInetConnection, org.apache.http.conn.HttpRoutedConnection, org.apache.http.nio.IOControl, org.apache.http.nio.NHttpClientConnection, org.apache.http.nio.NHttpConnection

Deprecated.

    @Deprecated
    public interface ManagedClientAsyncConnection

extends org.apache.http.conn.HttpRoutedConnection, org.apache.http.nio.NHttpClientConnection, org.apache.http.conn.ConnectionReleaseTrigger

Field Summary

Fields inherited from interface org.apache.http.nio.NHttpConnection
`ACTIVE, CLOSED, CLOSING`

Method Summary
`Object` | `getState()` Deprecated.
`boolean` | `isMarkedReusable()` Deprecated.
`void` | `layerProtocol(org.apache.http.protocol.HttpContext context, org.apache.http.params.HttpParams params)` Deprecated.
`void` | `markReusable()` Deprecated.
`void` | `open(org.apache.http.conn.routing.HttpRoute route, org.apache.http.protocol.HttpContext context, org.apache.http.params.HttpParams params)` Deprecated.
`void` | `setIdleDuration(long duration, TimeUnit timeUnit)` Deprecated.
`void` | `setState(Object state)` Deprecated.
`void` | `tunnelProxy(org.apache.http.HttpHost next, org.apache.http.params.HttpParams params)` Deprecated.
`void` | `tunnelTarget(org.apache.http.params.HttpParams params)` Deprecated.
`void` | `unmarkReusable()` Deprecated.

Methods inherited from interface org.apache.http.conn.HttpRoutedConnection
`getRoute, getSSLSession, isSecure`

Methods inherited from interface org.apache.http.HttpInetConnection
`getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort`

Methods inherited from interface org.apache.http.nio.NHttpClientConnection
`isRequestSubmitted, resetInput, resetOutput, submitRequest`

Methods inherited from interface org.apache.http.nio.NHttpConnection
`getContext, getHttpRequest, getHttpResponse, getStatus`

Methods inherited from interface org.apache.http.HttpConnection
`close, getMetrics, getSocketTimeout, isOpen, isStale, setSocketTimeout, shutdown`

Methods inherited from interface org.apache.http.nio.IOControl
`requestInput, requestOutput, shutdown, suspendInput, suspendOutput`

Methods inherited from interface org.apache.http.conn.ConnectionReleaseTrigger
`abortConnection, releaseConnection`

Method Detail

### getState

    Object getState()

  Deprecated.

### setState

    void setState(Object state)

  Deprecated.

### markReusable

    void markReusable()

  Deprecated.

### unmarkReusable

    void unmarkReusable()

  Deprecated.

### isMarkedReusable

    boolean isMarkedReusable()

  Deprecated.

### open

    void open(org.apache.http.conn.routing.HttpRoute route,
              org.apache.http.protocol.HttpContext context,
              org.apache.http.params.HttpParams params)
              throws IOException

  Deprecated.
  Throws:
    `IOException`

### tunnelTarget

    void tunnelTarget(org.apache.http.params.HttpParams params)
                      throws IOException

  Deprecated.
  Throws:
    `IOException`

### tunnelProxy

    void tunnelProxy(org.apache.http.HttpHost next,
                     org.apache.http.params.HttpParams params)
                     throws IOException

  Deprecated.
  Throws:
    `IOException`

### layerProtocol

    void layerProtocol(org.apache.http.protocol.HttpContext context,
                       org.apache.http.params.HttpParams params)
                       throws IOException

  Deprecated.
  Throws:
    `IOException`

### setIdleDuration

    void setIdleDuration(long duration,
                         TimeUnit timeUnit)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010–2021 The Apache Software Foundation. All rights reserved.